Qt 5.6 | Qt 3D | C++ Classes | QLayer

Qt 5.6.3 Reference Documentation

# QLayer Class

(Qt3DRender::QLayer)

The QLayer class provides ... More...

Header: | #include <QLayer>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | Layer
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- names : QStringList

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QLayer(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QLayer()
QStringList | names() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setNames(const QStringList &names)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | namesChanged(const QStringList &names)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QLayer(QLayerPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

The QLayer class provides ...

## Property Documentation

### names : QStringList

Access functions:

QStringList | names() const
void | setNames(const QStringList &names)

Notifier signal:

void | namesChanged(const QStringList &names)

## Member Function Documentation

### QLayer::QLayer(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QLayer with the specified parent.

### `[protected]` QLayer::QLayer(QLayerPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QLayer::~QLayer()

Destroys the instance of QLayer.

### `[protected]` void QLayer::copy(const Qt3DCore::QNode *ref)

Copies the ref instance into this one.